Bug 56972 - Spell-checking with Ignore All leads to data loss.
Spell-checking with Ignore All leads to data loss.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: abiword (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 13:51 EST by msterret
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-01 13:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file that will be destroyed when loaded into abiword (1.17 KB, patch)
2001-12-01 13:53 EST, msterret
no flags Details | Diff

  None (edit)
Description msterret 2001-12-01 13:51:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
When Ignore All is used when spell-checking a document, the resulting file
will be destroyed when loaded again from a new instance of Abiword.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.at the prompt: abiword test1
2.type: testin
3.press the spell-check button and choose Ignore All for testin
4.press the save button and exit
5.at the prompt: cat test1 (you should see a file very similar to the one
that I'll attach.)
6.at the prompt: abiword test1 ...."Oh, crap.  Where's my data?"
7.exit abiword
8.at the prompt: cat test1 (to appreciate the death of your data)
	

Actual Results:  abiword cleaned the content out of the file. (and
basically wrote the file without me pressing the save button)

Expected Results:  abiword should simply load the file a second time.

Additional info:

installed version of abiword is:
abiword-0.7.14-7

depends on the following installed rpms:
audiofile-0.2.1-2
compat-glibc-6.2-2.1.3.2
db1-1.85-7
esound-0.2.22-5
expat-1.95.1-7
gdk-pixbuf-0.11.0-8
gdk-pixbuf-gnome-0.11.0-8
glib-1.2.10-5
glibc-2.2.4-19
gnome-libs-1.2.13-16
gtk+-1.2.10-11
imlib-1.9.10-2
libgal7-0.8-6
libglade-0.16-4
libgnomeprint15-0.29-6
libjpeg-devel-6b-16
libpng-1.0.12-2
libstdc++-2.96-98
libtiff-devel-3.5.5-13
libunicode-0.4-6
libxml-1.8.14-2
XFree86-libs-4.1.0-3
zlib-1.1.3-24
Comment 1 msterret 2001-12-01 13:53:17 EST
Created attachment 39284 [details]
file that will be destroyed when loaded into abiword
Comment 2 Bernhard Rosenkraenzer 2001-12-03 10:01:31 EST
This is fixed in 0.9.5.
Comment 3 msterret 2001-12-19 23:10:31 EST
Seems like the total loss of data in the file warrents a little more speed
in getting an update out, don't you think?

Come on guys, explaining to user that "they'll just have to type that memo
again" doesn't look good.

Note You need to log in before you can comment on or make changes to this bug.